Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 606478 - app-misc/abook-0.6.1: fails to build with ncurses[tinfo]
Summary: app-misc/abook-0.6.1: fails to build with ncurses[tinfo]
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Net-Mail Packages
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: tinfo
  Show dependency tree
 
Reported: 2017-01-19 03:15 UTC by William Pettersson
Modified: 2018-03-02 10:14 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,13.23 KB, text/x-log)
2017-01-19 03:15 UTC, William Pettersson
Details
patch to abook to fix compile error (abook-0.6.1-tinfo.patch,633 bytes, patch)
2017-01-19 03:16 UTC, William Pettersson
Details | Diff
pkg-config hack (abook-0.6.1-ncurses-fix.patch,534 bytes, patch)
2017-01-28 10:01 UTC, Yarda
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description William Pettersson 2017-01-19 03:15:00 UTC
Created attachment 460582 [details]
build.log

This is another incident of a common issue, where ncurses splits its library into libncurses and libtinfo (or libncursesw and libtinfow) when the tinfo use flag is given. The fix is to add -ltinfo (or -ltinfow) to the compile line.

x86_64-pc-linux-gnu-gcc  -O2 -march=native -pipe -std=gnu89 -lvformat -Wl,-O1 -Wl,--as-needed -o abook abook.o abook_rl.o database.o edit.o filter.o getname.o getopt.o getopt1.o gettext.o ld
if.o list.o mbswidth.o misc.o options.o ui.o views.o xmalloc.o vcard.o  -lncursesw -lreadline
/usr/lib/gcc/x86_64-pc-linux-gnu/4.9.3/../../../../x86_64-pc-linux-gnu/bin/ld: ui.o: undefined reference to symbol 'curs_set'
/lib64/libtinfow.so.6: error adding symbols: DSO missing from command line
Comment 1 William Pettersson 2017-01-19 03:16:12 UTC
Created attachment 460586 [details, diff]
patch to abook to fix compile error

Attached a patch to fix the issue. The patch should only be applied if ncurses is built with with the tinfo USE flag enabled.
Comment 2 Yarda 2017-01-28 10:01:55 UTC
Created attachment 461700 [details, diff]
pkg-config hack

I think it should use pkg-config. Attached is a hack that adds it to the ebuild, but better is probably to incorporate it into the package - i.e. add pkg-config to the first patch.
Comment 3 Jeroen Roovers gentoo-dev 2018-03-02 10:14:57 UTC
Fixed in -r1.